import { httpAxios, httpAxiosNoNprogress, httpAxios_gym, httpAxios_gyt, httpAxios_klx } from "@/api/ApiInstance"

/** 获取二维码 */
export const createQrcodeApi = (uuid?: string) => {
   return httpAxios.axioseRquest({
      method: "get",
      url: "/open/qrcode/create?uuid=" + uuid
   })
}

/** 查询二维码状态 */
export const queryQrcodeStatusApi = (uuid: string) => {
   return httpAxiosNoNprogress.axioseRquest({
      method: "get",
      url: "/open/qrcode/query/" + uuid
   })
}

/** 获取字典 */
export const getDictionary = (key: string) => {
   return httpAxios.axioseRquest({
      method: "get",
      url: "/api/v1/dictitem/getByValue",
      params: {
         value: key
      }
   })
}

/** 管乐迷 */

//获取用户信息
export const queryUserInfo_gym = () => {
   return httpAxios_gym.axioseRquest({
      method: "get",
      url: "/api-teacher/teacher/queryUserInfo"
   })
}
// 退出登录
export const logout_gym = () => {
   return httpAxios_gym.axioseRquest({
      method: "get",
      url: "/api-auth/exit",
      headers: {
         "Content-Type": "x-www-form-urlencoded"
      }
   })
}
// 安全证书
export const mutualTLSQuery_gym = () => {
   return httpAxios_gym.axioseRquest({
      method: "get",
      url: "/api-auth/open/mutualTLS/query?isLogin=true" // 后面跟参数来区分是不是登录511
   })
}

/** 管乐团*/

// 获取用户信息
export const getUserInfo_gyt = () => {
   return httpAxios_gyt.axioseRquest({
      method: "get",
      url: "/api-teacher/user/getUserInfo"
   })
}
// 退出登录
export const logout_gyt = () => {
   return httpAxios_gyt.axioseRquest({
      method: "get",
      url: "/api-teacher/user/logout"
   })
}

// 安全证书
export const mutualTLSQuery_gyt = () => {
   return httpAxios_gyt.axioseRquest({
      method: "get",
      url: "/api-teacher/open/mutualTLS/query?isLogin=true" // 后面跟参数来区分是不是登录511
   })
}

/** 酷乐秀 */

// 获取用户信息
export const getUserInfo_klx = () => {
   return httpAxios_klx.axioseRquest({
      method: "get",
      url: "/api-teacher/teacher/queryUserInfo"
   })
}

// 退出登录
export const logout_klx = () => {
   return httpAxios_klx.axioseRquest({
      method: "get",
      url: "/api-auth/exit"
   })
}

// 安全证书
export const mutualTLSQuery_klx = () => {
   return httpAxios_klx.axioseRquest({
      method: "get",
      url: "/api-auth/open/mutualTLS/query?isLogin=true" // 后面跟参数来区分是不是登录511
   })
}
